<?
$r="../";
require_once($r."inc/funciones.php");
$mysqli = connectDB($r);
$sql="";
$ruta=$_GET['ruta'];
if($ruta!=""){$sql.='WHERE z_clientes.ruta='.$ruta;}
$tipo=$_GET['tipo'];
if($tipo!=""){if($sql!=""){$sql.=' AND ';}else{$sql.= ' WHERE ';} $sql.='z_clientes.tipocliente='.$tipo;}
$estado=$_GET['estado'];
if($estado!=""){if($sql!=""){$sql.=' AND ';}else{$sql.= ' WHERE ';} $sql.='z_pedidos.estado='.$estado;}
$pago=$_GET['pago'];
if($pago!=""){if($sql!=""){$sql.=' AND ';}else{$sql.= ' WHERE ';} $sql.='z_pedidos.pago='.$pago;}
$cliente=$_GET['cliente'];
if($cliente!=""){if($sql!=""){$sql.=' AND ';}else{$sql.=' WHERE ';}  $sql.='z_pedidos.idcliente='.$cliente;}
$inicio=$_GET['inicial'];if($inicio==""){$inicio="2018-08-01";}
$final=$_GET['final'];if($final==""){$final= date("Y-m-d");}
$arrayproductos= array();
$arrayidproductos= array();
$sep18 = array();$oct18 = array();$nov18 = array();$dic18 = array();
$ene19 = array();$feb19 = array();$mar19 = array();$abr19 = array();$may19 = array();$jun19 = array();$jul19 = array();$ago19 = array();$sep19 = array();$oct19 = array();$nov19 = array();$dic19 = array();
$ene20 = array();$feb20 = array();$mar20 = array();$abr20 = array();$may20 = array();$jun20 = array();$jul20 = array();$ago20 = array();$sep20 = array();$oct20 = array();$nov20 = array();$dic20 = array();
$cero=0;
    $productos = $mysqli->query("SELECT * FROM z_productos");
    $número_filas = mysqli_num_rows($productos);
    while($producto = $productos->fetch_assoc()){
        array_push($arrayproductos,$producto['producto']);
        array_push($arrayidproductos,$producto['id']);
        //2018
        array_push($sep18,$cero);array_push($oct18,$cero);array_push($nov18,$cero);array_push($dic18,$cero);
        //2019
        array_push($ene19,$cero);array_push($feb19,$cero);array_push($mar19,$cero);array_push($abr19,$cero);array_push($may19,$cero);array_push($jun19,$cero);
        array_push($jul19,$cero);array_push($ago19,$cero);array_push($sep19,$cero);array_push($oct19,$cero);array_push($nov19,$cero);array_push($dic19,$cero);
        //2020
        array_push($ene20,$cero);array_push($feb20,$cero);array_push($mar20,$cero);array_push($abr20,$cero);array_push($may20,$cero);array_push($jun20,$cero);
        array_push($jul20,$cero);array_push($ago20,$cero);array_push($sep20,$cero);array_push($oct20,$cero);array_push($nov20,$cero);array_push($dic20,$cero);
    }

//2021
$ene21 = array();
$feb21 = array();
$mar21 = array();
$abr21 = array();
$may21 = array();
$jun21 = array();
$jul21 = array();
$ago21 = array();
$sep21 = array();
$oct21 = array();
$nov21 = array();
$dic21 = array();
//2022
$ene22 = array();
$feb22 = array();
$mar22 = array();
$abr22 = array();
$may22 = array();
$jun22 = array();
$jul22 = array();
$ago22 = array();
$sep22 = array();
$oct22 = array();
$nov22 = array();
$dic22 = array();



//array_push($arrayidproductos,$pedid['idproducto']);
$row3=$mysqli->query("SELECT * FROM z_pedidos, z_pedido, z_clientes WHERE z_pedidos.idcliente = z_clientes.id AND z_pedidos.codigopedido = z_pedido.codigopedido AND z_pedidos.fechaentrega BETWEEN '2018-09-29' AND '2018-09-29'");
while($row4 = $row3->fetch_assoc()) {
    print_r($row4);echo '<br/>';}
    
?>